Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.ee
Class JDBCConnectionFactory

    java.lang.Object
      |
      +--com.solarmetric.rd.conf.AbstractConfiguration
            |
            +--com.solarmetric.rd.conf.SimpleConfiguration
                  |
                  +--com.solarmetric.rd.kodo.conf.SimpleJDOConfiguration
                        |
                        +--com.solarmetric.rd.kodo.impl.jdbc.conf.SimpleJDBCConfiguration
                              |
                              +--com.solarmetric.rd.kodo.impl.jdbc.ee.JDBCConnectionFactory

All Implemented Interfaces:
  java.beans.BeanInfo, Configuration, javax.resource.cci.ConnectionFactory, java.io.Externalizable, JDBCConfiguration, JDOConfiguration, JDOConnectionFactory, javax.jdo.PersistenceManagerFactory, javax.naming.Referenceable, javax.resource.Referenceable, java.io.Serializable

public class JDBCConnectionFactory
extends SimpleJDBCConfiguration
implements JDOConnectionFactory

JCA ConnectionFactory for obtaining PersistenceManagers.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.solarmetric.rd.kodo.impl.jdbc.conf.SimpleJDBCConfiguration
`dbdictionary, jdbcListeners, mappingFactory, schemaFactory, sequenceFactory, updateManager`

Fields inherited from class com.solarmetric.rd.kodo.conf.SimpleJDOConfiguration
`BASIC_OPTION, classResolver, connectionFactory, connectionFactory2, dataCache, EXPERT_OPTION, filterListeners, license, managedRuntime, metaRepos, proxyManager, TYPE_CONNECTING, TYPE_GENERAL, TYPE_JDO, TYPE_OPTIMIZATION`

Fields inherited from class com.solarmetric.rd.conf.SimpleConfiguration
`logFactory`

Fields inherited from interface com.solarmetric.rd.kodo.conf.JDOConfiguration
`LOG_DATACACHE, LOG_ENHANCE, LOG_METADATA, LOG_RUNTIME`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Fields inherited from interface com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration
`LOG_JDBC, LOG_SCHEMA, LOG_SQL`

Constructor Summary
`JDBCConnectionFactory()`
`JDBCConnectionFactory(com.solarmetric.rd.kodo.impl.jdbc.ee.JDBCManagedConnectionFactory mcf, javax.resource.spi.ConnectionManager cm)`
`JDBCConnectionFactory(java.util.Properties props)`

Method Summary
`javax.resource.cci.Connection` | `getConnection()`
`javax.resource.cci.Connection` | `getConnection(javax.resource.cci.ConnectionSpec spec)`
`int` | `getMaxPool()`
`javax.resource.cci.ResourceAdapterMetaData` | `getMetaData()`
`int` | `getMinPool()`
`int` | `getMsWait()`
`javax.jdo.PersistenceManager` | `getPersistenceManager()`
`javax.jdo.PersistenceManager` | `getPersistenceManager(java.lang.String user, java.lang.String pass)`
`static javax.jdo.PersistenceManagerFactory` | `getPersistenceManagerFactory(java.util.Properties props)`
`java.util.Properties` | `getProperties()`
`javax.resource.cci.RecordFactory` | `getRecordFactory()`
`javax.naming.Reference` | `getReference()`
`void` | `setMaxPool(int val)`
`void` | `setMinPool(int val)`
`void` | `setMsWait(int val)`
`void` | `setReference(javax.naming.Reference ref)`
`java.util.Collection` | `supportedOptions()`

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.conf.SimpleJDBCConfiguration
`disableConnectionPooling, free, getClassIndicatorType, getConnectionFactory, getDBDictionary, getDBDictionaryClass, getDBDictionaryProperties, getDefaultPersistenceManagerFactoryClass, getJDBCListenerClasses, getJDBCListeners, getKnownConnectionURLList, getKnownDriverList, getLicense, getMappingFactory, getMappingFactoryClass, getMappingFactoryProperties, getMappingRepository, getMetaDataRepository, getSchemaFactory, getSchemaFactoryClass, getSchemaFactoryProperties, getSchemas, getSequenceFactory, getSequenceFactoryClass, getSequenceFactoryProperties, getSubclassMappingType, getUpdateManager, getUpdateManagerClass, getUpdateManagerProperties, getUseSQL92Joins, getVersionIndicatorType, setClassIndicatorType, setConnectionFactory, setDBDictionary, setDBDictionaryClass, setDBDictionaryProperties, setJDBCListenerClasses, setJDBCListeners, setMappingFactory, setMappingFactoryClass, setMappingFactoryProperties, setSchemaFactory, setSchemaFactoryClass, setSchemaFactoryProperties, setSchemas, setSequenceFactory, setSequenceFactoryClass, setSequenceFactoryProperties, setSubclassMappingType, setUpdateManager, setUpdateManagerClass, setUpdateManagerProperties, setUseSQL92Joins, setUseSQL92Joins, setVersionIndicatorType`

Methods inherited from class com.solarmetric.rd.kodo.conf.SimpleJDOConfiguration
`checkFrozen, getClassResolver, getClassResolverClass, getClassResolverProperties, getConnectionDriverName, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheClass, getDataCacheProperties, getFetchBatchSize, getFetchThreshold, getFilterListenerClasses, getFilterListeners, getIgnoreCache, getLicenseKey, getManagedRuntime, getManagedRuntimeClass, getManagedRuntimeProperties, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManagerClass, getPersistenceManagerFactoryClass, getPersistenceManagerProperties, getProductName, getProxyManager, getProxyManagerClass, getProxyManagerProperties, getRestoreValues, getRetainValues, getUseManagedRuntime, setClassResolver, setClassResolverClass, setClassResolverProperties, setConnectionDriverName, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheClass, setDataCacheProperties, setFetchBatchSize, setFetchBatchSize, setFetchThreshold, setFetchThreshold, setFilterListenerClasses, setFilterListeners, setIgnoreCache, setIgnoreCache, setLicenseKey, setManagedRuntime, setManagedRuntimeClass, setManagedRuntimeProperties, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setPersistenceManagerClass, setPersistenceManagerFactoryClass, setPersistenceManagerProperties, setProxyManager, setProxyManagerClass, setProxyManagerProperties, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setUseManagedRuntime, setUseManagedRuntime`

Methods inherited from class com.solarmetric.rd.conf.SimpleConfiguration
`addValue, addValue, addValue, addValue, addValue, addValue, addValue, getLog, getLogFactory, getValues, setLog, setLogFactory`

Methods inherited from class com.solarmetric.rd.conf.AbstractConfiguration
`equals, fromProperties, getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors, hashCode, isFrozen, loadDefaults, readExternal, setFrozen, setProperties, toProperties, writeExternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.solarmetric.rd.kodo.conf.JDOConfiguration
`getClassResolver, getClassResolverClass, getClassResolverProperties, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheClass, getDataCacheProperties, getFetchBatchSize, getFetchThreshold, getFilterListenerClasses, getFilterListeners, getIgnoreCache, getLicense, getLicenseKey, getManagedRuntime, getManagedRuntimeClass, getManagedRuntimeProperties, getMetaDataRepository, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManagerClass, getPersistenceManagerFactoryClass, getPersistenceManagerProperties, getProxyManager, getProxyManagerClass, getProxyManagerProperties, getRestoreValues, getRetainValues, getUseManagedRuntime, setClassResolver, setClassResolverClass, setClassResolverProperties, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheClass, setDataCacheProperties, setFetchBatchSize, setFetchBatchSize, setFetchThreshold, setFetchThreshold, setFilterListenerClasses, setFilterListeners, setIgnoreCache, setIgnoreCache, setLicenseKey, setManagedRuntime, setManagedRuntimeClass, setManagedRuntimeProperties, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setPersistenceManagerClass, setPersistenceManagerFactoryClass, setPersistenceManagerProperties, setProxyManager, setProxyManagerClass, setProxyManagerProperties, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setUseManagedRuntime, setUseManagedRuntime`

Methods inherited from interface com.solarmetric.rd.conf.Configuration
`free, fromProperties, getLog, getLogFactory, isFrozen, setFrozen, setLog, setLogFactory, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Methods inherited from interface javax.jdo.PersistenceManagerFactory
`getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionURL, getConnectionUserName, getIgnoreCache, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getRestoreValues, getRetainValues, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionURL, setConnectionUserName, setIgnoreCache, setMultithreaded, setNontransactionalRead, setNontransactionalWrite, setOptimistic, setRestoreValues, setRetainValues`

Constructor Detail

### JDBCConnectionFactory

    public JDBCConnectionFactory(com.solarmetric.rd.kodo.impl.jdbc.ee.JDBCManagedConnectionFactory mcf,
                                 javax.resource.spi.ConnectionManager cm)

### JDBCConnectionFactory

    public JDBCConnectionFactory()

### JDBCConnectionFactory

    public JDBCConnectionFactory(java.util.Properties props)

Method Detail

### getRecordFactory

    public javax.resource.cci.RecordFactory getRecordFactory()
                                                      throws javax.resource.NotSupportedException

  Specified by:
    `getRecordFactory` in interface `javax.resource.cci.ConnectionFactory`
    `javax.resource.NotSupportedException`

### getMetaData

    public javax.resource.cci.ResourceAdapterMetaData getMetaData()

  Specified by:
    `getMetaData` in interface `javax.resource.cci.ConnectionFactory`

### getConnection

    public javax.resource.cci.Connection getConnection()
                                                throws javax.resource.ResourceException

  Specified by:
    `getConnection` in interface `javax.resource.cci.ConnectionFactory`
    `javax.resource.ResourceException`

### getConnection

    public javax.resource.cci.Connection getConnection(javax.resource.cci.ConnectionSpec spec)
                                                throws javax.resource.ResourceException

  Specified by:
    `getConnection` in interface `javax.resource.cci.ConnectionFactory`
    `javax.resource.ResourceException`

### setReference

    public void setReference(javax.naming.Reference ref)

  Specified by:
    `setReference` in interface `javax.resource.Referenceable`

### getReference

    public javax.naming.Reference getReference()

  Specified by:
    `getReference` in interface `javax.naming.Referenceable`

### supportedOptions

    public java.util.Collection supportedOptions()

  Specified by:
    `supportedOptions` in interface `javax.jdo.PersistenceManagerFactory`

### getProperties

    public java.util.Properties getProperties()

  Specified by:
    `getProperties` in interface `javax.jdo.PersistenceManagerFactory`

### getPersistenceManager

    public javax.jdo.PersistenceManager getPersistenceManager()

  Specified by:
    `getPersistenceManager` in interface `javax.jdo.PersistenceManagerFactory`

### getPersistenceManager

    public javax.jdo.PersistenceManager getPersistenceManager(java.lang.String user,
                                                              java.lang.String pass)

  Specified by:
    `getPersistenceManager` in interface `javax.jdo.PersistenceManagerFactory`

### getMaxPool

    public int getMaxPool()

  Specified by:
    `getMaxPool` in interface `javax.jdo.PersistenceManagerFactory`

### setMaxPool

    public void setMaxPool(int val)

  Specified by:
    `setMaxPool` in interface `javax.jdo.PersistenceManagerFactory`

### getMinPool

    public int getMinPool()

  Specified by:
    `getMinPool` in interface `javax.jdo.PersistenceManagerFactory`

### setMinPool

    public void setMinPool(int val)

  Specified by:
    `setMinPool` in interface `javax.jdo.PersistenceManagerFactory`

### getMsWait

    public int getMsWait()

  Specified by:
    `getMsWait` in interface `javax.jdo.PersistenceManagerFactory`

### setMsWait

    public void setMsWait(int val)

  Specified by:
    `setMsWait` in interface `javax.jdo.PersistenceManagerFactory`

### getPersistenceManagerFactory

    public static javax.jdo.PersistenceManagerFactory getPersistenceManagerFactory(java.util.Properties props)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.